SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001719SiT!configpublic2011-09-14 13:152013-03-01 12:14
Reporternicdev 
Assigned ToTomse 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows ServerOS Version2000+Later
Product Version3.65 LTS 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001719: Backslashes are removed from path names under Windows
DescriptionUnder windows, in the Config, Backslashes are removed, and the path's are displayed without any backslashes; If you click "Save" after making changes, the new (bad) path is saved to the DB without slashes.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0001841resolvedpaulh Backslashes are removed from path names under Windows (GiT version) 
related to 0001756resolvedpaulh clean_fspath() removes the ":" from windows paths 

-  Notes
User avatar (0004300)
ivan (administrator)
2011-09-14 13:24

The value saved to the DB is correct, but when the form redisplays the slashes are removed.
User avatar (0004301)
ivan (administrator)
2011-09-14 14:18

I think the stripslashes added in this commit is the culprit http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=rev&revision=5749 [^]

But that was a long time ago and we've not had this issue reported until now so... maybe it was something else...

No time to look into it further today.
User avatar (0004463)
Tomse (developer)
2012-03-05 13:02

I've tested the issue in relation to bug @856
the \'es are removed from username in LDAP domain\username
and email from the email tab domain\username

so stripslashes shouldn't be there any longer.
It could be that cfgvariables have stripslashes someplace else i.e. cleanvar() or something.
User avatar (0004464)
Tomse (developer)
2012-03-06 16:19

fixed in svn 7493

- Issue History
Date Modified Username Field Change
2011-09-14 13:15 nicdev New Issue
2011-09-14 13:18 ivan Status new => confirmed
2011-09-14 13:18 ivan Target Version => 3.66 LTS
2011-09-14 13:18 ivan Summary Backslashes are removed from path names under Windows by "clean_fspath()" => Backslashes are removed from path names under Windows
2011-09-14 13:24 ivan Note Added: 0004300
2011-09-14 13:24 ivan Assigned To => ivan
2011-09-14 13:24 ivan Status confirmed => assigned
2011-09-14 14:18 ivan Note Added: 0004301
2011-09-14 14:19 ivan Assigned To ivan =>
2011-09-14 14:19 ivan Status assigned => confirmed
2012-01-07 14:59 Tomse Relationship added related to 0001756
2012-02-04 12:20 paulh Assigned To => paulh
2012-02-04 12:20 paulh Status confirmed => assigned
2012-03-05 13:02 Tomse Note Added: 0004463
2012-03-06 16:19 Tomse Assigned To paulh => Tomse
2012-03-06 16:19 Tomse Note Added: 0004464
2012-03-06 16:19 Tomse Status assigned => resolved
2012-03-06 16:19 Tomse Fixed in Version => Current SVN
2012-03-06 16:19 Tomse Resolution open => fixed
2012-07-06 14:13 Tomse Fixed in Version Current SVN => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed
2013-03-01 12:14 nicdev Relationship added parent of 0001841


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker